SoAmbientColorElement(3)

NAME
SoAmbientColorElement - The SoAmbientColorElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoAmbientColorElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
int32_t getNum (void) const
FIXME: write doc.
const SbColor & get (const int index) const
FIXME: write doc.
const SbColor * getArrayPtr (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const int32_t numcolors, const SbColor *const colors)
FIXME: write doc.
static const SoAmbientColorElement * getInstance (SoState *state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoAmbientColorElement ()

  Additional Inherited Members

Detailed Description

The SoAmbientColorElement class is yet to be documented.

Constructor & Destructor Documentation

  SoAmbientColorElement::~SoAmbientColorElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoAmbientColorElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoAmbientColorElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoAmbientColorElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoAmbientColorElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoAmbientColorElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

  const SbColor * SoAmbientColorElement::getArrayPtr (void) const
Return a pointer to the color array. This method is not part of the OIV API.

Author

Generated automatically by Doxygen for Coin from the source code.